Get deployment metrics
curl --request GET \
--url https://api.example.com/api/v2/external/inference/{deployment_id}/metricsimport requests
url = "https://api.example.com/api/v2/external/inference/{deployment_id}/metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/external/inference/{deployment_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deploymentId": "<string>",
"timeRange": {
"start": "<string>",
"end": "<string>"
},
"replicaHealth": [
{
"replicaId": "<string>",
"values": [
{
"timestamp": "<string>",
"value": 123
}
]
}
],
"requestsPerSecond": [
{
"timestamp": "<string>",
"value": 123
}
],
"p50LatencyMs": [
{
"timestamp": "<string>",
"value": 123
}
],
"p95LatencyMs": [
{
"timestamp": "<string>",
"value": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Dedicated Inference
Get deployment metrics
GET
/
api
/
v2
/
external
/
inference
/
{deployment_id}
/
metrics
Get deployment metrics
Path Parameters
Query Parameters
ISO 8601 start timestamp (defaults to 1h ago)
ISO 8601 end timestamp (defaults to now)
Query resolution (e.g., '15s', '1m')
Response
Successful Response
Time range for the metrics query.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

